<?php
if(!defined('CRON')) { header('Location: ../'); exit; }
print '<br /><br />Début de la suppression des joueurs ; il est : '.date('d/m/Y H:i:s');

require(_FCORE."../game/Class/class.bourse.php");

$bdd->connexion();
$utils = $bdd->query("SELECT id, pseudo, bourse FROM $table_user WHERE mv = -1;");
$utils['nombre'] = $bdd->num_rows;
for($i = 0; $i < $utils['nombre']; $i++){
//TODO vérifier la suppression desactions du joueur
	$action = new Bourse();
	$action->delUser($utils[$i]['id']);

	$bdd->query("DELETE FROM $table_flottes WHERE id_user = ".$utils[$i]['id']);
//TODO Ajouter CASCADE !! pour supprimer les combats avec les flottes
	$bdd->query("DELETE FROM $table_planete WHERE id_user = ".$utils[$i]['id']);
	$bdd->query("DELETE FROM $table_user WHERE id = ".$utils[$i]['id']);
	$bdd->query("DELETE FROM $table_mail WHERE destinataire = ".$utils[$i]['pseudo']);
	$bdd->query("DELETE FROM $table_mail WHERE expediteur = ".$utils[$i]['pseudo']);
	print '<br />Supression de l\'utilisateur '.$utils[$i]['pseudo'];
}
$bdd->query("UPDATE $table_user SET mv = -1 WHERE mv = -2;");
$bdd->deconnexion();

print '<br />Fin de la suppression des joueurs ; il est : '.date('d/m/Y H:i:s').'<br />';
?>